_Elm_List_Data Struct Reference
Widgets Extension Infrastructure

## Data Fields

Evas_Object * | box
Evas_Object * | hit_rect
Eina_List * | items
Eina_List * | selected
Elm_Object_Item * | last_selected_item
Elm_Object_Item * | focused_item
| a focused item by keypad arrow or mouse.
Elm_Object_Item * | last_focused_item
| This records the last focused item when widget looses focus.
Evas_Coord | minw [2]
Evas_Coord | minh [2]
Evas_Coord | dx
Evas_Coord | dy
Elm_Object_Select_Mode | select_mode
Elm_Object_Multi_Select_Mode | multi_select_mode
| select mode for multiple selection
int | movements
int | walking
Elm_List_Mode | h_mode
Elm_List_Mode | mode
struct { |
Evas_Coord x |
Evas_Coord y |
} | history [ELM_LIST_SWIPE_MOVES]
Eina_Bool | focus_on_selection_enabled: 1
Eina_Bool | was_selected: 1
Eina_Bool | fix_pending: 1
Eina_Bool | longpressed: 1
Eina_Bool | scr_minw: 1
Eina_Bool | scr_minh: 1
Eina_Bool | on_hold: 1
Eina_Bool | multi: 1
Eina_Bool | swipe: 1
Eina_Bool | delete_me: 1
Eina_Bool | mouse_down: 1
| a flag that mouse is down on the list at the moment.
Eina_Bool | item_loop_enable: 1
| value whether item loop feature is enabled or not.
Eina_Bool | item_looping_on: 1
Eina_Bool | fixing_now: 1

## Field Documentation

## focused_item

Elm_Object_Item* _Elm_List_Data::focused_item

a focused item by keypad arrow or mouse.

This is set to NULL if widget looses focus.

## last_focused_item

Elm_Object_Item* _Elm_List_Data::last_focused_item

This records the last focused item when widget looses focus.

This is required to set the focus on last focused item when widgets gets focus.

## mouse_down

Eina_Bool _Elm_List_Data::mouse_down

a flag that mouse is down on the list at the moment.

this flag is set to true on mouse and reset to false on mouse up